@import "../../../../_mixins.scss";

.pax8-api-credentials {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;
  margin: 20px 0 0 0;

  h3 {
    padding: 20px;
    border-bottom: 1px solid #ccc;
    margin-bottom: 0;
  }

  .pax8__body-actions {
    padding: 20px;

    button {
      margin-right: 20px;
      min-width: unset;
      width: 95px;
    }
  }

  .loader {
    position: absolute;
    left: auto;
    top: auto;
    z-index: 999;
    width: 100%;
    height: 36%;
  }

  .spinner {
    display: flex;
    justify-content: center;
    width: 73%;
    height: 90%;

    img {
      margin: auto;
    }
  }

  .settings__notification {
    color: white;
    height: 30px;
    display: flex;
    align-items: center;
    padding-left: 15px;
    cursor: pointer;
    @include transitions(height 0.2s ease);

    &.settings__notification--fail {
      background: var(--danger);
    }

    &.settings__notification--success {
      background: var(--success);
    }
  }
  .vendor-tags {
    width: 50%;
    display: flex;
    flex-direction: column;
  }
}
